Bug 190279 - XMLHttpRequest should use reportExtraMemoryAllocated/reportExtraMemoryVisited instead of deprecatedReportExtraMemory
Summary: XMLHttpRequest should use reportExtraMemoryAllocated/reportExtraMemoryVisited...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-10-04 03:36 PDT by Yusuke Suzuki
Modified: 2018-10-10 01:50 PDT (History)
14 users (show)

See Also:


Attachments
Patch (6.84 KB, patch)
2018-10-04 03:38 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2018-10-04 03:36:52 PDT
XMLHttpRequest should use reportExtraMemoryAllocated/reportExtraMemoryVisited instead of deprecatedReportExtraMemory
Comment 1 Yusuke Suzuki 2018-10-04 03:38:54 PDT
Created attachment 351593 [details]
Patch
Comment 2 Yusuke Suzuki 2018-10-06 12:49:25 PDT
Ping?
Comment 3 Yusuke Suzuki 2018-10-10 01:22:18 PDT
Comment on attachment 351593 [details]
Patch

Thanks!
Comment 4 WebKit Commit Bot 2018-10-10 01:49:05 PDT
Comment on attachment 351593 [details]
Patch

Clearing flags on attachment: 351593

Committed r236999: <https://trac.webkit.org/changeset/236999>
Comment 5 WebKit Commit Bot 2018-10-10 01:49:07 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2018-10-10 01:50:54 PDT
<rdar://problem/45154619>